Bug 32403 - QA0319: static IP/FQDN setup, but localhost.localdomain
Summary: QA0319: static IP/FQDN setup, but localhost.localdomain
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-20 16:22 UTC by Daniel Roesen
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:47:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Roesen 2001-03-20 16:22:37 UTC
When installing with static hostname and IP setup, the installed system
will use a hostname of "localhost.localdomain" instead of the FQDN entered
while installing. I guess it has something to do with the installer being
unable to reach the designated nameserver(s) to do a reverse lookup because
of lack of ethernet connectivity while installing.

Comment 1 Michael Fulbright 2001-03-20 19:41:37 UTC
You analysis is correct.  The current behavior is a "best guess" at how to
handle all systems. It does not always do the optimal thing apparently.

Comment 2 Daniel Roesen 2001-03-20 23:03:45 UTC
Hm, I'm not sure I understand you correctly. Do you consider that behaviour a
bug or not?

IMNSHO asking for a hostname and then subsequently ignoring it completely _is_ a
bug, especially with static network setup.

Comment 3 Brent Fox 2001-03-23 17:10:39 UTC
This isn't something we can change at this point for this release.  We will
revisit the issue for the next release.  Deferring.

Comment 4 Jeremy Katz 2002-01-23 20:23:16 UTC
Is this still a problem with 7.2?  (I haven't noticed, but I may just be
misunderstanding)

Comment 5 Michael Fulbright 2002-02-27 19:51:17 UTC
Closing due to inactivity, please reopen this report if you continue to have
problems.

Comment 6 Red Hat Bugzilla 2006-02-21 18:47:56 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.